Bug 174582 - [MAINTAINER] www/awstats: update to 7.1,1
Summary: [MAINTAINER] www/awstats: update to 7.1,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-19 21:40 UTC by Oleksii Samorukov
Modified: 2013-02-01 18:30 UTC (History)
0 users

See Also:


Attachments
awstats-7.1,1.patch (3.81 KB, patch)
2012-12-19 21:40 UTC, Oleksii Samorukov
no flags Details | Diff
awstats.diff (4.84 KB, patch)
2013-01-08 16:08 UTC, guido
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2012-12-19 21:40:00 UTC
- Update to 7.1,1
- Remove useless patch

Removed file(s):
- files/patch-wwwroot-cgi-bin-awstats.pl

Generated with FreeBSD Port Tools 0.99_4 (mode: update, diff: ports)
Comment 1 Guido Falsi freebsd_committer 2012-12-24 09:37:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-12-24 10:09:16 UTC
Hi,

unluckily the distfile can't be fetched, here is build log from tinderbox:

http://people.freebsd.org/~madpilot/awstats-7.1%2c1.log

Perhaps the distfile was rerolled. Could you please check and submit an 
updated patch?

Thanks!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-12-24 17:11:21 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 guido freebsd_committer 2013-01-08 16:08:10 UTC
Hi,

I have made a new patch which uses the currently available distfile.

I also have converted your port to OPTIONSng.

Can you test and approve these changes?

Thanks.

-- 
Guido Falsi
Comment 5 Guido Falsi freebsd_committer 2013-01-08 16:11:00 UTC
Previous feedback sent from wrong email address, sorry, please reply to 
this one.

-- 
Guido Falsi <mad@madpilot.net>
Comment 6 Guido Falsi freebsd_committer 2013-02-01 18:00:39 UTC
State Changed
From-To: feedback->open

awstats author confirmed distfile was rerolled.
Comment 7 Guido Falsi freebsd_committer 2013-02-01 18:22:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-02-01 18:22:40 UTC
Author: madpilot
Date: Fri Feb  1 18:22:27 2013
New Revision: 311392
URL: http://svnweb.freebsd.org/changeset/ports/311392

Log:
  - Update to 7.1
  - Remove uneeded patch
  - Fix portlint warning
  - Convert to new options framework [1]
  - Distfile was rerolled after PR submission, use correct checksum
  
  PR:		ports/174582
  Submitted by:	Alex Samorukov <samm@os2.kiev.ua> (maintainer)
  Approved by:	Maintainer timeout [1] [2]

Deleted:
  head/www/awstats/files/patch-wwwroot-cgi-bin-awstats.pl
Modified:
  head/www/awstats/Makefile   (contents, props changed)
  head/www/awstats/distinfo   (contents, props changed)
  head/www/awstats/pkg-plist   (contents, props changed)

Modified: head/www/awstats/Makefile
==============================================================================
--- head/www/awstats/Makefile	Fri Feb  1 17:06:39 2013	(r311391)
+++ head/www/awstats/Makefile	Fri Feb  1 18:22:27 2013	(r311392)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	awstats
-# Date created:			May 13, 2002
-# Whom:				Munish Chopra <mchopra@engmail.uwaterloo.ca>
-#
+# Created by: Munish Chopra <mchopra@engmail.uwaterloo.ca>
 # $FreeBSD$
-#
 
 PORTNAME=	awstats
-PORTVERSION=	7.0
-PORTREVISION=	2
+PORTVERSION=	7.1
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	SF/${PORTNAME}/AWStats/${PORTVERSION}
@@ -15,11 +10,11 @@ MASTER_SITES=	SF/${PORTNAME}/AWStats/${P
 MAINTAINER=	samm@os2.kiev.ua
 COMMENT=	Free real-time logfile analyzer to get advanced web statistics
 
-RUN_DEPENDS=	p5-Net-XWhois>=0:${PORTSDIR}/net/p5-Net-XWhois
-
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/docs/LICENSE.TXT
 
+RUN_DEPENDS=	p5-Net-XWhois>=0:${PORTSDIR}/net/p5-Net-XWhois
+
 NO_BUILD=	yes
 USE_PERL5_RUN=	yes
 USE_DOS2UNIX=	tools/*.pl \
@@ -37,11 +32,11 @@ USE_DOS2UNIX=	tools/*.pl \
 
 SUB_FILES=	pkg-message
 
-OPTIONS=	IPV6 "Enable IPV6 for use with IPv6 Plugin" Off
+OPTIONS_DEFINE=	IPV6
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITH_IPV6)
+.if ${PORT_OPTIONS:MIPV6}
 RUN_DEPENDS+=	p5-Net-IP>=0:${PORTSDIR}/net-mgmt/p5-Net-IP
 RUN_DEPENDS+=	p5-Net-DNS>=0:${PORTSDIR}/dns/p5-Net-DNS
 .endif
@@ -107,14 +102,14 @@ do-install:
 	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/os/* ${PREFIX}/www/awstats/icons/os
 	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/other/* ${PREFIX}/www/awstats/icons/other
 	${INSTALL_DATA} ${WRKSRC}/wwwroot/js/* ${PREFIX}/www/awstats/js
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}/images
 	${INSTALL_DATA} ${WRKSRC}/docs/images/* ${DOCSDIR}/images
 	${INSTALL_DATA} ${WRKSRC}/docs/*.* ${DOCSDIR}
 .endif
 	@${ECHO_CMD} ""
 	@${ECHO_CMD} "* Use ${PREFIX}/www/awstats/tools/awstats_configure.pl to setup your hosts."
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${ECHO_CMD} "* Documentation has been installed in ${PREFIX}/share/doc/awstats"
 .endif
 	@${ECHO_CMD} ""

Modified: head/www/awstats/distinfo
==============================================================================
--- head/www/awstats/distinfo	Fri Feb  1 17:06:39 2013	(r311391)
+++ head/www/awstats/distinfo	Fri Feb  1 18:22:27 2013	(r311392)
@@ -1,2 +1,2 @@
-SHA256 (awstats-7.0.tar.gz) = e2651d4a5ff40e1d792b37cc13784d444cae479b4f98118aed27f46f5a18ce92
-SIZE (awstats-7.0.tar.gz) = 1254327
+SHA256 (awstats-7.1.tar.gz) = c58e8c57d567fadf3e948a3c27b4bc2d71e4aee04225c961cbc88ac380f8b38d
+SIZE (awstats-7.1.tar.gz) = 1260857

Modified: head/www/awstats/pkg-plist
==============================================================================
--- head/www/awstats/pkg-plist	Fri Feb  1 17:06:39 2013	(r311391)
+++ head/www/awstats/pkg-plist	Fri Feb  1 18:22:27 2013	(r311392)
@@ -315,6 +315,10 @@ www/awstats/icons/cpu/mips.png
 www/awstats/icons/cpu/motorola.png
 www/awstats/icons/cpu/sun.png
 www/awstats/icons/cpu/unknown.png
+www/awstats/icons/flags/sl.png
+www/awstats/icons/flags/me.png
+www/awstats/icons/flags/gg.png
+www/awstats/icons/flags/ax.png
 www/awstats/icons/flags/a2.png
 www/awstats/icons/flags/ac.png
 www/awstats/icons/flags/ad.png
@@ -580,6 +584,10 @@ www/awstats/icons/flags/za.png
 www/awstats/icons/flags/ze.png
 www/awstats/icons/flags/zm.png
 www/awstats/icons/flags/zw.png
+www/awstats/icons/mime/xsl.png
+www/awstats/icons/mime/document.png
+www/awstats/icons/mime/csv.png
+www/awstats/icons/mime/runtime.png
 www/awstats/icons/mime/ai.png
 www/awstats/icons/mime/archive.png
 www/awstats/icons/mime/audio.png
@@ -619,6 +627,12 @@ www/awstats/icons/mime/video.png
 www/awstats/icons/mime/wmv.png
 www/awstats/icons/mime/glasses.png
 www/awstats/icons/mime/xls.png
+www/awstats/icons/os/macosx8.png
+www/awstats/icons/os/macosx6.png
+www/awstats/icons/os/macosx7.png
+www/awstats/icons/os/macosx9.png
+www/awstats/icons/os/macosx4.png
+www/awstats/icons/os/macosx5.png
 www/awstats/icons/os/aix.png
 www/awstats/icons/os/amigaos.png
 www/awstats/icons/os/apple.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"